﻿using UnityEditor;
using UnityEngine;

[InitializeOnLoad]
public class StartUp
{
    static StartUp()
    {       
        EditorApplication.update += Start;       
    }

    static void Start() 
    {
        string exporterVersion = Application.unityVersion;      
        if (CreateAssetBundles.CheckUnityVersion(exporterVersion))     
        {
            EditorApplication.update -= Start;           
        }
        else 
        {
            CreateAssetBundles.ShowWarningDialogue(exporterVersion);
            EditorApplication.update -= Start;             
        }
    }
}
