# How to use this Project to export Asset Bundles

## Prerequisites
- Unity 2020.2.7f1 with the following Build Supports:
    - Android Build Support
    - Universal Windows Platform Build Support
    - Windows Build Support (IL2CPP)

## Opening this Project
- Open up the "Unity Hub" and "Add" this folder as project.
- You can now open the project from Unity Hub

## Exporting the Bundles
- Import the Asset into the Project
- Select the Asset in the Project view and in the Inspector, assign an AssetBundle (Open the Dropdown, select "New..." and assign a name for said Bundle)
(In this step, it is not only possible to export the imported Asset directly but can also export a Prefab with, for example, adjusted Materials etc)
- In Unity, select Assets > Build AssetBundles
The built AssetBundles are saved in the AssetBundles directory in their respective Platform-specific Folders